Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 904680 - [abrt] flumotion-0.10.0-4.fc18: service.py:88:_parseManagersWorkers:FatalError: No worker with name admin
Summary: [abrt] flumotion-0.10.0-4.fc18: service.py:88:_parseManagersWorkers:FatalErro...
Keywords:
Status: CLOSED DUPLICATE of bug 880366
Alias: None
Product: Fedora
Classification: Fedora
Component: flumotion
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Vander Stichele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:67c8bb7550ccafec2db3f43feeb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-27 01:31 UTC by Bob Clayton
Modified: 2015-05-08 13:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 18:32:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (937 bytes, text/plain)
2013-01-27 01:31 UTC, Bob Clayton
no flags Details
File: core_backtrace (499 bytes, text/plain)
2013-01-27 01:31 UTC, Bob Clayton
no flags Details
File: environ (2.86 KB, text/plain)
2013-01-27 01:31 UTC, Bob Clayton
no flags Details

Description Bob Clayton 2013-01-27 01:31:26 UTC
Version-Release number of selected component:
flumotion-0.10.0-4.fc18

Additional info:
cmdline:        /usr/bin/python /usr/sbin/flumotion -C /tmp/tmpTcBABg.flumotion/etc -L /tmp/tmpTcBABg.flumotion/var/log -R /tmp/tmpTcBABg.flumotion/var/run stop worker admin
executable:     /usr/sbin/flumotion
kernel:         3.7.4-204.fc18.x86_64
uid:            1000

Truncated backtrace:
service.py:88:_parseManagersWorkers:FatalError: No worker with name admin

Traceback (most recent call last):
  File "/usr/sbin/flumotion", line 58, in <module>
    _run_main(PROGRAM_PATH)
  File "/usr/sbin/flumotion", line 51, in _run_main
    sys.exit(main(sys.argv))
  File "/usr/lib64/flumotion/python/flumotion/service/main.py", line 83, in main
    return servicer.stop(args[2:])
  File "/usr/lib64/flumotion/python/flumotion/service/service.py", line 183, in stop
    (managers, workers) = self._parseManagersWorkers('stop', args)
  File "/usr/lib64/flumotion/python/flumotion/service/service.py", line 88, in _parseManagersWorkers
    raise errors.FatalError, 'No worker with name %s' % name
FatalError: No worker with name admin

Local variables in innermost frame:
managers: []
name: 'admin'
workers: []
args: ['worker', 'admin']
command: 'stop'
which: 'worker'
self: <flumotion.service.service.Servicer instance at 0x256d680>

Comment 1 Bob Clayton 2013-01-27 01:31:30 UTC
Created attachment 688203 [details]
File: backtrace

Comment 2 Bob Clayton 2013-01-27 01:31:31 UTC
Created attachment 688204 [details]
File: core_backtrace

Comment 3 Bob Clayton 2013-01-27 01:31:33 UTC
Created attachment 688205 [details]
File: environ

Comment 4 Fedora End Of Life 2013-12-21 10:52:23 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2014-02-05 18:32:59 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Sergio Basto 2015-05-08 13:08:48 UTC

*** This bug has been marked as a duplicate of bug 880366 ***


Note You need to log in before you can comment on or make changes to this bug.